modelSLGI {SLGI} | R Documentation

## Permutation model for assessing synthetic genetic interactions in cellular organizational units.

### Description

Permutation model for assessing synthetic genetic interactions within and between cellular organizational units such as multi-protein complexes.

### Usage

    modelSLGI(iMat, universe, interactome,  type="intM", perm=50)

### Arguments

`iMat` | Adjacency matrix reporting genetic interactions. Each entry has value 0 or 1, representing positive or negative interaction of corresponding pairs of row and column.
`universe` | character vector of the names of the tested genes, e.g., names of the genes on the synthetic genetic array (SGA) used by Tong et al.
`interactome` | Adjacency matrix where row are genes and columns are cellular organizational units. Each entry has value 0 or 1, for absence or presence of a gene in a complex.
`type` | Character vector of value "intM" (Default) or "interactome" to either perform the test based on to the genetic interaction matrix or the interactome, respectively.
`perm` | Number of permutations to apply. Default is 50.

### Value

Interaction matrix between cellular organizational units.

### Author(s)

N. LeMeur

### See Also

`getInteraction`

### Examples

     data(ScISIC)
     data(Atong)
     data(SGA)
     model <-  modelSLGI(Atong, universe= SGA, interactome=ScISIC,
    type="intM", perm=2)

[Package SLGI version 1.2.0 Index]